Package list python-castellan / a7de07c
Update lower-constraints versions This updates lower constraints to versions that will work with py38 so that when we move to running on focal nodes, which has py38 as its default py3 runtime, the lower-constraints job will continue to pass. It also cleans out some secondary requirements that are no longer needed due to our direct dependencies being updated. Linters are removed that are kept in the global requirements blacklist as those are not version tracked and are not relevant for our lower-constraints unit test runs. Change-Id: I25d7c93b1ed0d185e181acee7098f36654177b84 Signed-off-by: Sean McGinnis <sean.mcginnis@gmail.com> Sean McGinnis 1 year, 4 months ago
1 changed file(s) with 10 addition(s) and 16 deletion(s). Raw diff Collapse all Expand all
0 alabaster==0.7.10
10 appdirs==1.3.0
21 asn1crypto==0.23.0
32 Babel==2.3.4
4 bandit==1.1.0
5 cffi==1.7.0
3 certifi==2020.4.5.2
4 cffi==1.13.2
5 chardet==3.0.4
66 cliff==2.8.0
77 cmd2==0.8.0
88 coverage==4.0
99 cryptography==2.1
1010 debtcollector==1.2.0
11 docutils==0.11
12 dulwich==0.15.0
11 entrypoints==0.3
1312 extras==1.0.0
1413 fixtures==3.0.0
15 flake8==2.5.5
14 future==0.18.2
1615 gitdb==0.6.4
1716 GitPython==1.0.1
18 hacking==0.12.0
1917 idna==2.5
20 imagesize==0.7.1
2118 iso8601==0.1.11
22 Jinja2==2.10
2319 keystoneauth1==3.4.0
2420 linecache2==1.0.0
25 MarkupSafe==1.0
26 mccabe==0.2.1
2721 mock==2.0.0
2822 monotonic==0.6
2923 mox3==0.20.0
3933 oslo.utils==3.33.0
4034 oslotest==3.2.0
4135 pbr==2.0.0
42 pep8==1.5.7
4336 pifpaf==0.10.0
4437 prettytable==0.7.2
4538 pycparser==2.18
46 pyflakes==0.8.1
47 Pygments==2.2.0
4839 pyinotify==0.9.6
4940 pyparsing==2.1.0
5041 pyperclip==1.5.27
5748 requests==2.18.0
5849 requestsexceptions==1.2.0
5950 rfc3986==0.3.1
51 six==1.15.0
6052 smmap==0.9.0
61 snowballstemmer==1.2.1
53 stestr==2.0.0
6254 stevedore==1.20.0
63 stestr==2.0.0
55 testrepository==0.0.20
6456 testscenarios==0.4
6557 testtools==2.2.0
6658 traceback2==1.4.0
6759 unittest2==1.1.0
60 urllib3==1.21.1
61 voluptuous==0.11.7
6862 wrapt==1.7.0
6963 xattr==0.9.2